Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanConditionHandler.SatisfyAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.iplan.IPlanConditionHandler.SatisfyAction

Enclosing class:
  IPlanConditionHandler

     class IPlanConditionHandler.SatisfyAction

extends HandlerAction

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) MatchEnv` | `env`
`(package private) java.util.List` | `filterEnvs`
`(package private) ix.icore.domain.ListOfConstraint` | `filters`
`(package private) AgendaItem` | `item`
`(package private) java.util.Set` | `unboundVariables`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`IPlanConditionHandler.SatisfyAction(AgendaItem item)`

Method Summary
`protected void` | `adjustStatus(AgendaItem item)`
`protected void` | `bind(java.util.Map newBindings)`
`void` | `computeStatus()` Called when something has happened that might have changed this action's ready status.
`protected java.util.Map` | `getPossibleValues()`
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.
`boolean` | `isReady()` Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, getActionDescription, getUnreadyReason, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

### env

    MatchEnv env

### filters

    ix.icore.domain.ListOfConstraint filters

### filterEnvs

    java.util.List filterEnvs

### unboundVariables

    java.util.Set unboundVariables

Constructor Detail

### IPlanConditionHandler.SatisfyAction

    IPlanConditionHandler.SatisfyAction(AgendaItem item)

Method Detail

### isReady

    public boolean isReady()

  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### computeStatus

    public void computeStatus()

  Description copied from class: `HandlerAction`
  Called when something has happened that might have changed this action's ready status. The method in the HandlerAction class does nothing and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `computeStatus` in class `HandlerAction`

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

### getPossibleValues

    protected java.util.Map getPossibleValues()

### bind

    protected void bind(java.util.Map newBindings)

### adjustStatus

    protected void adjustStatus(AgendaItem item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD